From 172b1e5cef4cba12de2b3010eb3b21be9c60f9f6 Mon Sep 17 00:00:00 2001
From: Alexander Chernyakhovsky <achernya@mit.edu>
Date: Wed, 27 Mar 2013 02:15:25 -0400
Subject: [PATCH 01/40] Cast time_elapsed to int before calling
 human_readable_duration

When attempting to build againt EPEL 5, it was noticed that
human_readable_duration expects an int, but time_elapsed is an
integer.  Explicitly static_cast<int>( time_elapsed ) to appease older
compilers.
---
 src/frontend/terminaloverlay.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/src/frontend/terminaloverlay.cc b/src/frontend/terminaloverlay.cc
index cd28f50..9c68d7b 100644
--- a/src/frontend/terminaloverlay.cc
+++ b/src/frontend/terminaloverlay.cc
@@ -242,13 +242,16 @@ void NotificationEngine::apply( Framebuffer &fb ) const
     return;
   } else if ( message.empty() && time_expired ) {
     swprintf( tmp, 128, L"mosh: Last %s %s ago.%s", explanation,
-	      human_readable_duration( time_elapsed, "seconds" ).c_str(),
+	      human_readable_duration( static_cast<int>( time_elapsed ),
+				       "seconds" ).c_str(),
 	      keystroke_str );
   } else if ( (!message.empty()) && (!time_expired) ) {
     swprintf( tmp, 128, L"mosh: %ls%s", message.c_str(), keystroke_str );
   } else {
     swprintf( tmp, 128, L"mosh: %ls (%s without %s.)%s", message.c_str(),
-	      human_readable_duration( time_elapsed, "s" ).c_str(), explanation, keystroke_str );
+	      human_readable_duration( static_cast<int>( time_elapsed ),
+				       "s" ).c_str(),
+	      explanation, keystroke_str );
   }
 
   wstring string_to_draw( tmp );

